; !! THIS IS A SAMPLE CONFIGURATION ONLY !!

; refer to http://wiki.freeswitch.org/wiki/FreeTDM for further documentation

[general]
; whether to launch a thread for CPU usage monitoring
cpu_monitor => no

; How often (in milliseconds) monitor CPU usage 
cpu_monitoring_interval => 1000

; At what CPU percentage raise a CPU alarm
cpu_set_alarm_threshold => 80

; At what CPU percentage stop the CPU alarm
cpu_reset_alarm_threshold => 70

; Which action to take when the CPU alarm is raised
; it can be warn and/or reject calls
; cpu_alarm_action => warn,reject
cpu_alarm_action => warn

; Where to dump DTMF debug files (see per span debugdtmf=yes option)
debugdtmf_directory=/full/path/to/dtmf/directory

; spans are defined with [span <span type> <span name>]
; the span type can either be zt, wanpipe or pika
; the span name can be any unique string
[span wanpipe myWanpipe]

; valid trunk types are: FXO, FXS, EM, E1, T1, J1, BRI, BRI_PTMP
trunk_type => FXS

; add FXS channels from 3 to 4 at wanpipe span 1 to this freetdm span
fxs-channel => 1:3-4

; IO stats. Defaults to yes, you can print the stats with ftdm iostats print <span> <chan>
; This feature depends on the span IO type, currently only Wanpipe spans support it
; This may cause a warning to be printed once in a while if audio is not provided fast enough
; and causes the driver to transmit an idle frame (when there is no data provided by the application)
iostats => yes

[span wanpipe myWanpipe2]
trunk_type => FXO
; This number will be used as DNIS for FXO devices
fxo-channel => 1:1-2

[span zt myZaptelSpan]
number => 9999
fxs-channel => 1

[span zt mySecondZaptelSpan]
; This number will be used as DNIS for FXO devices
number => 2
fxo-channel => 3

; MFC-R2 typical span configuration

; MFC-R2 with wanpipe (Sangoma)
[span wanpipe myWanpipeSpan]
trunk_type => E1
cas-channel => 1-15:1101
cas-channel => 17-31:1101

; MFC-R2 with Zaptel/DAHDI
[span zt myWanpipeSpan]
trunk_type => E1
cas-channel => 1-15:1101
cas-channel => 17-31:1101

; generic channel parameters
; this parameters are accepted by any type of span/channel
; remember that for generic channel parameters only channels
; below the parameter within the span will be affected

; Channel audio gain
; rxgain => 0.0
; txgain => 0.0

; Whether to perform media dumps for DTMF debugging
; debugdtmf => yes